News in 48.1, 2024-12-07
------------------------
This is _not_ a bug-fix release, it contains other changes. The current plan is
to release gedit 49.0 at the same time as GNOME 49.0, to come back to the same
numbers as GNOME, but with more frequent releases like this one.

* Removed plugins: External Tools, Snippets, Python Console.
* Text Size plugin: rewrite in C.
* Remove the background-pattern feature (with the grid).
* Fix bug on Wayland to unmaximize the window.
* Code refactorings.
* Fix compilation warning.
* Translation updates.

News in 48.0, 2024-09-14
------------------------
New features:
* Full support of light/dark GTK theme variants. Configuration is done in the
  Preferences dialog -> Font & Colors.

Visible changes:
* Add missing tooltips to some buttons (Sabri Ünal).
* The Text Size plugin has been moved from gedit-plugins to this repository, and
  is now enabled by default.
* Remove Quick Open plugin.
* Mark some plugins as "buggy plugins": External Tools and Snippets.

Bug fixes:
* Fix some warning messages that appeared at runtime.
* Fix a crash.

For Microsoft Windows:
* Add Portable Executable resource icon, to associate an icon with the
  executable (Hernan Martinez, gwillems and Sébastien Wilmet).
* Make gedit work without patches for MINGW-packages.

Misc:
* Some code refactorings.
* Update the user manual for the new feature ("Change the color scheme" page).
* Side panel: adapt to latest libgedit-tepl API.
* Bottom panel: port to TeplPanel.
* Build instructions: Meson refactorings.
* Translation updates (GNOME Translation Project contributors).

-- Sébastien Wilmet (main contributor and reviewer).

News in 47.0, 2024-04-27 (stable version)
-----------------------------------------
Web presence:
* New website for gedit: https://gedit-technology.github.io/apps/gedit/
* Update URLs for gedit-technology.net -> https://gedit-technology.github.io/
* Start to migrate away from wiki.gnome.org.

Branding:
* Restore the previous app icons and logo.

New features:
* Experimental: add light/dark GTK theme variant configuration (as a hidden
  GSettings key for now).

Removed features:
* Localization (l10n): all the translations are disabled, gedit is available in
  English only because some underlying modules are not on l10n.gnome.org or
  equivalent.
* In the preferences dialog, remove the toolbar to install/uninstall color
  schemes. Third-party color schemes are still supported, but the XML file(s)
  need to be copied into the right directory by another means, see:
  https://gedit-technology.github.io/developer-docs/extra/libgedit-gtksourceview/style-schemes.html
  or also the gedit user help documentation.

Under-the-hood changes:
* Adapt the code for libgedit-gtksourceview API changes.
* Adapt the code for the Tepl -> libgedit-tepl module rename.
* Code refactorings, various improvements and bug fixes.
* Continue to reduce usage of *.ui files, write code instead.
* Use newer GLib API at some places.
* Add -Wshadow to the CFLAGS and fix the corresponding warnings.

For plugins:
* Some API changes (see the page documenting the API breaks).
* Improve the API documentation.

Misc:
* Rename *.appdata.xml to *.metainfo.xml and do some updates to that file.
* Update documentation for contributors.
* Links to some third-party plugins.

News in 46.1, 2023-08-06
------------------------
* Fix a -Wformat-security build issue.
* Add a set of warning CFLAGS, and fix the code accordingly.
* Flatpak update.

News in 46.0, 2023-07-29
------------------------
* Adapt for Amtk -> libgedit-amtk rename.
* API changes for plugins: see the API docs.
* Code refactorings in GeditWindow, and delegate some of its work to new
  classes: GeditHeaderBar and GeditSidePanel.
* Replace GeditMenuStackSwitcher by TeplPanelSwitcherMenu.
* Replace GeditStatusMenuButton by TeplStatusMenuButton.
* Remove a small feature from the statusbar: the small icons for the window
  state. You now need to look at each individual tab to know its state.
* Build: replace inline_side_panel_switcher option -> headerbar option.
* Bug fixes for macOS.
* Translation updates.

News in 45.0, 2023-06-23
------------------------
* User manual: a few improvements.
* Translation updates.

News in 45.alpha, 2023-04-26
----------------------------

gedit now depends on libgedit-gtksourceview instead of GtkSourceView:
  https://github.com/gedit-technology/libgedit-gtksourceview
  https://gedit-technology.net/

Build system:
  - Add inline_side_panel_switcher option.
  - No longer generate the Vala *.vapi file, rely on the GIR instead.
  - Maintenance: don't use deprecated Meson features.

The core of the application:
  - Add Ctrl+comma shortcut to open the Preferences dialog.
  - Documents Panel: improve how the filenames are ellipsized.
  - A few API changes in GeditWindow and GeditTab, see the API reference manual.
  - Bump API version to 45.

Plugins:
  - Insert Date/Time: add keyboard shortcut.

General:
  - Code refactorings, robustness improvements, use more Tepl features,
    bug fixes, etc.
  - Documentation improvements.
  - Update Flatpak manifest.
  - Translation updates.

News in 44.1, 2023-01-04
------------------------
* macOS: fix build.
* Windows: improvements and bug fix.
* Flatpak update.
* Translation updates.

News in 44.0, 2023-01-01
------------------------
Misc:
  - Donations: change to Liberapay link.
  - Create https://gedit-technology.net/ (mainly for developers).

User manual:
  - Available online:
    https://gedit-technology.net/user-manuals/gedit/
    (used on platforms where Yelp is unavailable: macOS and Windows).
  - Improvements to the content.

The core of the application:
  - Rework the statusbar.
  - Improve the vocabulary used in the dialog for choosing favorite encodings.
  - Improve a little the API docs.

Plugins:
  - File browser: expand/collapse item on right/left keypress.

General:
  - Minor bug fixes.
  - Use more Tepl features.
  - Code refactorings.
  - Translation updates.

News in 43.1, 2022-11-04
------------------------
* Be able to build with Meson >= 0.61
* AppData fix
* Add some BuildStream element files in build-aux/buildstream/

News in 43.0, 2022-11-03
------------------------
* Come back to the source code of gedit 40.0 and continue again from there.
  It is based on the Tepl and Amtk libraries.
  The single Open button is again split in two with a drop-down menu for recent
  files.

* Workaround for bug: text cut off at the bottom in certain situations.

* Change app name from "Text Editor" back to "gedit".
* AppData: some updates, take a new screenshot.
* Remove gitlab-ci.
* Remove outdated build-aux/osx/ directory (several MB).
* Flatpak: generate JSON manifest from YAML manifest.
* File browser plugin: more robust check if Nautilus GSettings can be used, even
  if the key doesn't exist anymore.
* Rework the I/O error info bars.
* Handle application/x-zerosize mimetype.
* Small code maintenance.
* Documentation updates.
* Translation updates.

News in 43.alpha, 2022-07-06
----------------------------
* Update app description.
* Translation updates.

News in 42.1, 2022-05-27
------------------------
* Translation updates.

News in 42.0, 2022-04-01
----------------------------
* Rename display name back to gedit
* Build fix
* Translation updates

News in 41.0, 2022-02-14
----------------------------
* Fix some crashes, one when opening files, another when
  deleting the open folder with the file browser plugin active
* Fix buttons in the color scheme selector dialog
* Build fixes
* Improve symbolic icon coloring
* Improve Save As behavior when saving error infobar is showing
* Translation updates
* Note that gnome-text-editor will be GNOME's recommended text
  editor beginning with the GNOME 42 release next month

News in 41.alpha, 2021-07-17
----------------------------
* Replace use of Tepl and AMTK
* Use sourceview4 in the snap build
* Enable OpenLink plugin by default
* Warn when trying to open a big file and allow to cancel
* Port open-selector to GDateTime
* Allow disabling gspell and python options
* Fix parsing of font-family strgins when they contain whitespace
* Translation updates.

News in 40.1, 2021-04-17
------------------------
* Use document folder when opening new files
* Huge CPU consumption when a folder with content is deleted
* Updated translations

News in 40, 2021-03-19
----------------------------
* Remove all the deprecated API.
* file-browser: drop use of confirm-trash
* Translation updates.

Tepl-ification:
* Use tepl_pango_font_description_to_css().
* Use TeplLanguageChooser's.
* Use TeplProgressInfoBar.
* Start to use TeplBuffer and TeplFile APIs.
  As a result the new tabs are now named "Untitled File", not
  "Untitled Document".

News in 3.38.1, 2020-11-20
--------------------------
* AppData: change donation URL to Liberapay.
* Improvements to the user manual.
* Translation updates.

News in 3.38.0, 2020-09-11
--------------------------
* Translation updates.

News in 3.37.92, 2020-09-04
---------------------------
* A few code refactorings.
* CI: small update.
* Translation updates.

News in 3.37.3, 2020-07-03
--------------------------
* Start to migrate to GtkFileChooserNative.
* User manual: remove the page with the list of keyboard shortcuts, it was
  redundant with the new Shortcuts window.
* Translation updates.

News in 3.37.2, 2020-05-29
--------------------------
* gedit is now available on the Microsoft Store!
* Remove the checkupdate plugin (no longer useful).
* GSettings: revisit the set of plugins activated by default.
* Change app description.
* Write a script to have a list of plugins with their description.
* Documentation updates.
* About dialog: have the gedit icon, not the old logo.
* Many improvements to the build system.
* Fix a few bugs.
* Add a few keyboard shortcuts to the Shortcuts window.
* Updates to the Flatpak and Snap.
* Translation updates.

Tepl-ification:
* Create GeditFactory class, subclass of TeplAbstractFactory.
* Use tepl_application_handle_metadata().

News in 3.37.1, 2020-04-24
--------------------------
* Remove the support for X11 workspaces.
  See: commit d0728e7d0c3e7fdc58f03f0af4e0ce64eb7aef6e
* gedit no longer depends on X11, gedit is now a native app on Wayland.
* Remove the support for the org.gnome.desktop.lockdown GSettings.
  See: commit b6728797d6b308b46cf4e0dae4493dc62d3decda
* Some updates to the user manual.
* Improvements to the keyboard shortcuts window.
* Build system: various small improvements.
* Update the Flatpak.
* Other small improvements and code refactorings.
* A few bug fixes.
* Translation updates.

Changes for plugins:
* Bump API version to 3.38.
* Remove all deprecated APIs.
* See the list of API breaks and new deprecations in the API reference.

Tepl-ification:
* Move some utility functions to the Tepl library.
* Refactor and move some I/O error infobars to Tepl.
* GeditView now inherits from TeplView.
* Port to the new Tepl metadata API.
* Use TeplStyleSchemeChooserWidget.

News in 3.36.1, 2020-03-20
--------------------------
* File chooser dialog: use text files filter by default.
* Fix compilation on macOS.
* Fix External Tools plugin.
* Fix Snippets plugin.
* Other bug fixes.
* Translation updates.

News in 3.36.0, 2020-03-06
--------------------------
* Fix a bug in the quickopen plugin.
* Updates to the user manual.
* Translation updates.

News in 3.35.90, 2020-01-31
---------------------------
* Remove text centering when in fullscreen mode and when a right margin was
  set. For the explanation see: commit 8710e89d847b0bfc65d7833255090e304cf7c890
* Make the scrollbars always visible around the main text area. For the
  explanation see: commit 5e0909c19f267b4023131881fac89c58a2a17453
* Remove the overview map. For the explanation see:
  commit 26899e0ba7c1390c098b61fc7a901d700c4e745c
* File chooser dialog: re-add the feature to be able to customize the list of
  character encodings.
* Open a file from the headerbar: re-implement the previous user interface: two
  buttons, "Open" to open the dialog window, and an arrow to open the recent
  menu. For the explanation see: commit 27f54a9aed82109a512743b5e819b18004c19de7
* GSettings schema: enable more features by default (auto-indent,
  display-line-numbers, highlight-current-line and bracket-matching) and set
  default style scheme to 'tango'.
* Bug fixes.
* Code refactorings.
* Lots of small improvements to the build system.
* The libsoup dependency is required only on Windows for the checkupdate plugin.
* Translation updates.

News in 3.35.1, 2019-11-22
--------------------------

User-visible changes:
* File browser plugin: fix interactive search.
* A few fixes in the CSS style.

Changes for packagers:
* New dependency: Tepl, which itself depends on Amtk and uchardet.
  https://wiki.gnome.org/Projects/Tepl
  https://wiki.gnome.org/Projects/Amtk
  https://www.freedesktop.org/wiki/Software/uchardet/
* Removed dependency: libxml-2.0
* Remove the 'enable-gvfs-metadata' build option, it's now handled by Tepl, and
  Tepl has a similar build option.
* Rename the build option 'documentation' -> 'gtk_doc'.

Changes for plugins:
* Bump gedit API version to 3.36.
* Remove the deprecated API.
* Deprecate some gedit_utils functions.
* Write an API breaks section in the gtk-doc reference manual of gedit.

Tepl-ification:
* Use some tepl_utils functions.
* Use TeplFileMetadata internally in GeditDocument, which has permitted to
  remove GeditMetadataManager.

Other changes:
* Create a nightly app icon (but not yet used).
* Automatically test that the GSettings schema files are valid.
* Various small code refactorings.
* Updates to the Flatpak and Snap packages.
  Convert the Flatpak manifest to YAML.
* Translation updates.

News in 3.34.0, 2019-09-09
--------------------------
* Translation updates.

News in 3.33.92, 2019-09-03
---------------------------
* Documentation:
 - Overhaul README.md and CONTRIBUTING.md (renamed from HACKING).
 - Write several documents in Markdown in the docs/ directory:
	- gedit development - getting started
	- gedit installation by building the source code
	- a new roadmap
  (Sébastien Wilmet)
* Updates to the Snap and Flatpak packages (Ken VanDine, Martin Blanchard)
* Translation updates.

=============
gedit 3.33.90
=============

- Add "gedit" to .desktop keywords as search workaround for Flatpak
  and Snap (Felipe)
- Build fixes (Christopher, Jordi, Luca, Michael, Ting-Wei)
- Translation updates

Contributors:
 Luca Bacci
 Felipe Borges
 Michael Catanzaro
 Ting-Wei Lan
 Jordi Mas
 Christopher Reiter

============
gedit 3.32.2
============

- Reintroduce enable-gvfs-metadata build option (Andrea)
- Fix several crash bugs (Andrea)
- Translation updates

Contributors: Andrea Azzarone

============
gedit 3.32.0
============

- Translation updates

=============
gedit 3.31.92
=============
Development release

- Fix segfault in open document selector (Sebastien)
- Update help for app menu changes (Andre)
- Miscellaneous fixes (Jeremy, Ken)

Contributors:
 Sebastien Bacher, Jeremy Bicha, Andre Klapper, Ken VanDine

==============
gedit 3.31.90
==============
Development release

- Switch to meson (Martin)
- Drop autotools support (Jeremy)
- Add tests to validate AppStream metadata and .desktop (Bilal)
- Flatpak and Snap versions now bundle gedit-plugins (Martin & Jeremy)
- Fix some issues resulting from the GNOME 3.32 menu changes (Jeffery)
- Drop gconf conversion file (Jeremy)
- Miscellaneous fixes (Andre, Jeremy)

Contributors:
 Jeremy Bicha, Martin Blanchard, Bilal Elmoussaoui
 Andre Klapper, Jeffery To

=============
gedit 3.31.3
=============
Development release

- Update README and rename to README.md (Alexandre)
- Update new app icon (Jakub)
- Fix searching with upper case characters in recent files popup (Sébastien)
- Fix symbolic icons in file browser with dark themes (Sébastien)
- Use a color for search matching in recent files popup that works better
  with dark themes (Sébastien)
- Clean up deprecations and more (Sébastien)

Contributors:
 Alexandre Franke, Sébastien Lafargue, Jakub Steiner

=============
gedit 3.31.2
=============
Development release

- Follow GNOME 3.32 menu guidelines (Corey)
- Allow closing tabs with middle-click (Corey)

Contributors: Corey Daley

=============
gedit 3.31.1
=============
Development release

- Fix tarball and version number from previous release

=============
gedit 3.31.0
=============
Development release

- Redesign the app icon (Jakub)
- Migrate to gettext and stop using intltool (Martin)
- Switch from gtksourceview3 to gtksourceview4 (Christian)
- Fix file chooser not opening in correct location after first time
  (Sebastien)
- Miscellaneous build and translation fixes (Jeremy, Mathieu, Piotr)
- Translation updates

Contributors:
 Jeremy Bicha, Martin Blanchard, Mathieu Bridon, Piotr Drąg, Christian Hergert,
 Sebastien Lafargue, Jakub Steiner

=============
gedit 3.30.2
=============
- Fix file chooser not opening in correct location after first time
  (Sebastien Lafargue)
- Translation updates

=============
gedit 3.30.1
=============

- Translation updates

=============
gedit 3.30.0
=============

- Translation updates

=============
gedit 3.29.90
=============
Development release

- Port GeditFileChooserDialogGtk to GtkFileChooserNative
  so that it can use the file chooser portal for better confinement
  when run as a Flatpak or Snap (James)
- Add a style class to the main window for theming (abakkk)
- Move nightly Flatpak manifest here (Jordan)
- Misc bugfixes (Jeremy, Mathieu, Andre, nick, Ken)
- Translation updates

Contributors:
 abakkk, Jeremy Bicha, Mathieu Bridon, James Henstridge, Andre Klapper,
 Jordan Petridis, nick richards, Ken VanDine

============
gedit 3.28.1
============

- Translation updates

============
gedit 3.28.0
============

- Translation updates

=============
gedit 3.27.92
=============

- Translation updates

=============
gedit 3.27.90
=============

- Misc bugfixes
- Translation updates

============
gedit 3.22.1
============

- Misc bugfixes
- Translation updates

============
gedit 3.22.0
============

- Misc bugfixes
- Translation updates

=============
gedit 3.21.90
=============

- Misc bugfixes
- Translation updates

============
gedit 3.20.2
============

- Misc bugfixes
- Translation updates

============
gedit 3.20.1
============

- Use a menubar only if gtk-shell-shows-menubar is set to true
- Misc bugfixes
- Translation updates

============
gedit 3.20.0
============

- Translation updates

============
gedit 3.19.5
============

- Spell plugin: adapt code for gspell API changes
- Save window size properly
- Translation updates

============
gedit 3.19.4
============

New Features and Fixes
======================
- Spell plugin: adapt code for gspell API changes
- CSS updates
- AppData: add project_group and translation tags
- Various other code improvements and bug fixes

New and updated translations
============================
- de (Mario Blättermann)
- el (Tom Tryfonidis)
- es (Daniel Mustieles)
- hu (Meskó Balázs)
- kk (Baurzhan Muftakhidinov)
- lv (Rūdolfs Mazurs)
- pl (Piotr Drąg)
- pt_BR (Rafael Fontenelle)
- sk (Dušan Kazik)
- zh_TW (Chao-Hsiung Liao)

============
gedit 3.19.3
============

New Features and Fixes
======================
- Rename to "Text Editor" in the .desktop file
- Use traditional menubar layout on XFCE, Unity, etc
- require the latest gspell for the spell plugin
- New Windows WiX installer
- CSS updates to track GTK+ changes
- Various minor code improvements and bug fixes

New and updated translations
============================
- cs (Marek Černocký)
- de (Mario Blättermann)
- el (Tom Tryfonidis)
- fi (Jiri Grönroos)
- he (Yosef Or Boczko)
- lt (Aurimas Černius)
- nb (Kjartan Maraas)
- ru (Stas Solovey)
- sk (Dušan Kazik)
- th (Akom Chotiphantawanon)
- tr (Muhammet Kara)
- vi (Trần Ngọc Quân)

============
gedit 3.19.2
============

New Features and Fixes
======================
- Ship our own app icon
- Add shortcuts window
- Adapt code for gspell API changes
- Rename GeditViewHolder -> GeditViewCentering
- CloseConfirmationDialog: subclass GtkMessageDialog
- CSS updates to track GTK+ changes
- Various minor code improvements and bug fixes

New and updated translations
============================
- es (Daniel Mustieles)
- kk (Baurzhan Muftakhidinov)
- pt
- sk (Dušan Kazik)

============
gedit 3.19.1
============

New Features and Fixes
======================
- Change default document title to "Untitled Document"
- Port the spell plugin to gspell
- Various minor code improvements and bug fixes

New and updated translations
============================
- cs (Marek Černocký)
- el (Efstathios Iosifidis)
- es (Daniel Mustieles)
- eu (Iñaki Larrañaga Murgoitio)
- fi (Jiri Grönroos)
- gd (GunChleoc)
- he (Yosef Or Boczko)
- is (Sveinn í Felli)
- lt (Aurimas Černius)
- lv (Rūdolfs Mazurs)
- nb (Kjartan Maraas)
- pt (Pedro Albuquerque)
- ro (Daniel Șerbănescu)
- ru (Yuri Myasoedov)
- sk (Dušan Kazik)
- th (Akom Chotiphantawanon)
- vi (Trần Ngọc Quân)
- zh_CN (Bin Li)

============
gedit 3.18.1
============

New Features and Fixes
======================
- Make the Replace dialog resizable
- Various minor code improvements and bug fixes

New and updated translations
============================
- ar (Khaled Hosny)
- fi (Lauri Nurmi)
- gd (GunChleoc)
- it (Milo Casagrande)
- nl (Hannie Dumoleyn)
- sr@latin (Miloš Popović)
- sr (Милош Поповић)
- vi (Trần Ngọc Quân)

============
gedit 3.18.0
============

New Features and Fixes
======================
- Fix close confirmation dialog regression introduced in 3.17.92

New and updated translations
============================
- cs (Marek Černocký)
- de (Bernd Homuth)
- el (Tom Tryfonidis)
- it (Milo Casagrande)
- ja (Jiro Matsuzawa)
- lv (Rūdolfs Mazurs)
- pt_BR (Enrico Nicoletto)
- ru (Stas Solovey)
- tr (Muhammet Kara)

=============
gedit 3.17.92
=============

New Features and Fixes
======================
- Various minor code improvements and bug fixes

New and updated translations
============================
- cs (Marek Černocký)
- da (Kenneth Nielsen)
- de (Wolfgang Stoeggl)
- el (Tom Tryfonidis)
- es (Daniel Mustieles)
- fa (Arash Mousavi)
- fr (Alain Lojewski)
- gl (Fran Dieguez)
- he (Yosef Or Boczko)
- hu (Balázs Úr)
- is (Sveinn í Felli)
- kk (Baurzhan Muftakhidinov)
- ko (Changwoo Ryu)
- nb (Kjartan Maraas)
- pl (Piotr Drąg)
- sk (Dušan Kazik)
- sv (Anders Jonsson)
- zh_TW (Chao-Hsiung Liao)

=============
gedit 3.17.90
=============

New Features and Fixes
======================
- Spell checking: fix performance problem and re-organize the code
- Move minimap settings in the preferences dialog
- CSS improvements
- Add a snippet generating RPM SPEC %changelog line
- Various other code improvements and bug fixes

New and updated translations
============================
- ca (Carles Ferrando Garcia)
- cs (Marek Černocký)
- de (Benjamin Steinwender)
- es (Daniel Mustieles)
- lt (Aurimas Černius)
- nb (Åka Sikrom)
- pt (Pedro Albuquerque)

============
gedit 3.17.2
============

New Features and Fixes
======================
- Lots of cleanups and code improvements to: the document handling code,
  file printing and the spell checking.
- gtk-mac-integration support fix

New and updated translations
============================
- de (Benjamin Steinwender)
- he (Yosef Or Boczko)
- hu (Balázs Úr)
- hu (Gabor Kelemen)
- it (Milo Casagrande)
- oc (Cédric Valmary (totenoc.eu))
- pt (Pedro Albuquerque)
- sk (Dušan Kazik)
- sl (Matej Urbančič)
- th (Akom Chotiphantawanon)

============
gedit 3.17.1
============

New Features and Fixes
======================
- Add a menu to toggle the source map
- Fix print margins
- Fix the --wait options when passing a list of files
- Several cleanups and code improvements to the document handling code
- Various other bug fixes

New and updated translations
============================
- ar (Khaled Hosny)
- ca (Gil Forcada)
- cs (Marek Černocký)
- de (Christian Kirbach)
- el (Dimitris Spingos (Δημήτρης Σπίγγος))
- es (Daniel Mustieles)
- he (Yosef Or Boczko)
- nb (Åka Sikrom)
- oc (Cédric Valmary (Tot en òc))
- pl (Piotr Drąg)
- ro (Daniel Șerbănescu)
- sk (Dušan Kazik)
- th (Akom Chotiphantawanon)
- tr (Necdet Yücel)

============
gedit 3.17.0
============

New Features and Fixes
======================
- Improve the Encodings dialog
- Add setting to display a grid pattern
- Various other bug fixes

New and updated translations
============================
- an (Daniel Martinez)
- cs (Marek Černocký)
- es (Daniel Mustieles)
- uk (Назарій Ріттер)
- vi (Trần Ngọc Quân)

============
gedit 3.16.1
============

New Features and Fixes
======================
- Improve error reporting when failing to load private lib
- Performance improvements for groups of text insertions/deletions
- Do not merge xml translation in gschema files
- Various other bug fixes

New and updated translations
============================
- ar (Khaled Hosny)
- ca (Gil Forcada)
- eo (Kristjan SCHMIDT)
- fr (Alain Lojewski)
- id (Andika Triwidada)
- pa (A S Alam)

============
gedit 3.16.0
============

New and updated translations
============================

- an (Daniel Martinez)
- de (Benjamin Steinwender)
- eu (Iñaki Larrañaga Murgoitio)
- fi (Jiri Grönroos)
- ja (Nobuto Murata)
- ru (Stas Solovey)
- th (Akom Chotiphantawanon)
- zh_TW (Chao-Hsiung Liao)

=============
gedit 3.15.92
=============

New Features and Fixes
======================
- Various bug fixes

New and updated translations
============================
- bg (Alexander Shopov)
- bs (Samir Ribic)
- da (Kenneth Nielsen)
- de (Benjamin Steinwender)
- gl (Fran Dieguez)
- hu (Gabor Kelemen)
- kk (Baurzhan Muftakhidinov)
- ko (Changwoo Ryu)
- lt (Aurimas Černius)
- lv (Rūdolfs Mazurs)
- nb (Åka Sikrom)
- pl (Paweł Żołnowski)
- sr@latin (Miroslav Nikolić)
- sr (Мирослав Николић)
- sv (Anders Jonsson)
- sv (Daniel Nylander)
- tr (Muhammet Kara)
- vi (Trần Ngọc Quân)

=============
gedit 3.15.91
=============

New Features and Fixes
======================
- Rework some of the printing code
- Various bug fixes

New and updated translations
============================
- cs (Marek Černocký)
- el (Tom Tryfonidis)
- es (Daniel Mustieles)
- fr (Alain Lojewski)
- gl (Fran Dieguez)
- he (Yosef Or Boczko)
- hu (Balázs Úr)
- pt_BR (Rafael Ferreira)
- ru (Stas Solovey)
- sk (Dušan Kazik)
- sl (Matej Urbančič)
- uk (Daniel Korostil)
- zh_TW (Chao-Hsiung Liao)

=============
gedit 3.15.90
=============

New Features and Fixes
======================
- Improved documentation
- Various bug fixes

New and updated translations
============================
- an (Daniel Martinez)
- cs (Marek Černocký)
- de (Benjamin Steinwender)
- el (Efstathios Iosifidis)
- es (Daniel Mustieles)
- he (Yosef Or Boczko)
- is (Sveinn í Felli)
- nb (Åka Sikrom)
- ru (Ivan Komaritsyn)
- sk (Dušan Kazik)
- sv (Anders Jonsson)

============
gedit 3.15.1
============

New Features and Fixes
======================
- Improved open document selector
- Start to rework the replace dialog
- Use the new color scheme chooser
- External tools plugin: fix document saving
- Various bug fixes

New and updated translations
============================
- cs (Marek Černocký)
- es (Daniel Mustieles)
- eu (Iñaki Larrañaga Murgoitio)
- gl (Fran Dieguez)
- he (Yosef Or Boczko)
- hu (Balázs Úr)
- hu (Gabor Kelemen)
- is (Sveinn í Felli)
- ja (Hajime Taira)
- lt (Aurimas Černius)
- nb (Kjartan Maraas)
- pt_BR (Rafael Ferreira)
- ro (Daniel Șerbănescu)
- ru (Stas Solovey)
- tr (Muhammet Kara)
- vi (Trần Ngọc Quân)

============
gedit 3.14.1
============

New Features and Fixes
======================
- Increase default window size
- Various bug fixes

New and updated translations
============================
- an (Daniel Martinez)
- bn_IN
- el (Efstathios Iosifidis)
- fa (Arash Mousavi)
- fi (Jiri Grönroos)
- gd (GunChleoc)
- gl (Fran Dieguez)
- gu
- he (Yosef Or Boczko)
- kk (Baurzhan Muftakhidinov)
- lv (Rūdolfs Mazurs)
- nb (Kjartan Maraas)
- pl (Piotr Drąg)
- pt (Pedro Albuquerque)
- ru (Stas Solovey)
- te (Krishnababu Krothapalli)
- uk (Назарій Ріттер)
- zh_CN (Yunqiang Su)
- zh_TW (Cheng-Chia Tseng)

=============
gedit 3.14.0
=============

New Features and Fixes
======================
- Improvements on OSX port
- Improvements on Win32 port
- Misc bugfixes

New and updated translations
============================
- as (Nilamdyuti Goswami)
- bg (Alexander Shopov)
- bn_IN (sray)
- ca (Gil Forcada)
- ca@valencia (Gil Forcada)
- cs (Marek Černocký)
- da (Kenneth Nielsen)
- de ()
- el (Tom Tryfonidis)
- es (Daniel Mustieles)
- fi (Jiri Grönroos)
- fr (Alain Lojewski)
- gl (Fran Dieguez)
- gu ("Last-Translator: \n")
- he (Yosef Or Boczko)
- hi (rajesh)
- hu (Balázs Úr)
- id (Andika Triwidada)
- it (Milo Casagrande)
- ja (Jiro Matsuzawa)
- kn (Shankar Prasad)
- ko (Changwoo Ryu)
- lt (Aurimas Černius)
- mr (Sandeep Shedmake)
- nb (Kjartan Maraas)
- or (Manoj Kumar Giri)
- pa (A S Alam)
- pl (Paweł Żołnowski)
- pt_BR (Rafael Ferreira)
- ru (Yuri Myasoedov)
- sk (Dušan Kazik)
- sr@latin (Miroslav Nikolić)
- sr (Мирослав Николић)
- sv (Sebastian Rasmussen)
- ta (Shantha kumar)
- th (Akom Chotiphantawanon)
- uk (Daniel Korostil)
- zh_HK (Chao-Hsiung Liao)
- zh_TW (Chao-Hsiung Liao)

=============
gedit 3.13.91
=============

New Features and Fixes
======================
- Fix a segmentation fault when loading a file

New and updated translations
============================
- es (Daniel Mustieles)

=============
gedit 3.13.90
=============

New Features and Fixes
======================
- Set default value of create-backup-copy setting to false
- Misc improvements and bug fixes

New and updated translations
============================
- as (Nilamdyuti Goswami)
- el (Tom Tryfonidis)
- fi (Lasse Liehu)
- he (Yosef Or Boczko)
- lt (Aurimas Černius)
- nb (Kjartan Maraas)

============
gedit 3.13.5
============

New Features and Fixes
======================
- Rework the headerbar again
- Fix opening files from nautilus
- Center the view in fullscreen mode
- Win32 improvements and new installer
- Misc bug fixes

New and updated translations
============================
- el (Maria Mavridou)
- eu (Iñaki Larrañaga Murgoitio)
- ja (Jiro Matsuzawa)
- nn (Moonchild)
- tg (Victor Ibragimov)

============
gedit 3.13.4
============

New Features and Fixes
======================
- Update appdata file for new desktop file name
- Use automatic GTK menus
- Misc bug fixes

New and updated translations
============================
- he (Yosef Or Boczko)
- lt (Aurimas Černius)
- nb (Kjartan Maraas)
- pt_BR (Enrico Nicoletto)

============
gedit 3.13.3
============

New Features and Fixes
======================
- File loading and saving based on a new API in GtkSourceView.
  GeditEncoding is replaced by GtkSourceEncoding, and there
  are changes in GeditDocument. To port plugins, see:
  https://wiki.gnome.org/Apps/Gedit/API-Changes

- Include Adwaita theming
- New selector to open documents in the header bar
- Various improvements and bug fixes
- Some work to build gedit on Windows

New and updated translations
============================
- bg (Alexander Shopov)
- el (Tom Tryfonidis)
- es (Daniel Mustieles)
- gd (GunChleoc)
- gl (Fran Dieguez)
- he (Yosef Or Boczko)
- nb (Kjartan Maraas)
- ru (Yuri Myasoedov)
- sv (Anders Jonsson)
- tr (Muhammet Kara)

============
gedit 3.13.2
============

- Zeitgeist plugin moved to the gedit-plugins module
- Some code clean-up in GeditTab and GeditDocument
- Updated Thai translation

============
gedit 3.13.1
============

New Features and Fixes
======================
- Statusbar: line/col popover menu (Sebastien Lafargue)
- Use GtkListBox for the style scheme list (Paolo Borelli)
- Make use of popover menu for the gear menu (Ignacio Casal Quinteiro)
- Make it work on Windows (Руслан Ижбулатов, Paolo Borelli)
- Add a gsettings for the last wrapping split -mode (Sebastien Lafargue)
- Misc bug fixes.

New and updated translations
============================
- be (Sviatlana Liasovich)
- ca@valencia (Pau Iranzo)
- cs (Marek Černocký)
- el (Tom Tryfonidis)
- es (Daniel Mustieles)
- he (Yosef Or Boczko)
- id (Andika Triwidada)
- pt_BR (Enrico Nicoletto)
- pt_BR (Rafael Ferreira)
- th (Akom Chotiphantawanon)

============
gedit 3.12.1
============

New Features and Fixes
======================
- Many fixes to the snippets plugin
- Rework some of the internals in preparation to a new Windows release
- Change Uppercase shortcut to Ctrl+U to avoid conflict with Save All
- Add Ctrl+N shortcut for New Window
- Plug some minor memory leaks
- Misc bug fixes.

New and updated translations
============================
- ar (Ibrahim Saed)
- cs (Marek Černocký)
- el (Dimitris Spingos (Δημήτρης Σπίγγος))
- es (Daniel Mustieles)
- hu (Attila Hammer)
- id (Andika Triwidada)
- th (Akom Chotiphantawanon)

============
gedit 3.12.0
============

New Features and Fixes
======================
- Fix regression sorting recent files

New and updated translations
============================
- an (Daniel Martinez)
- cs (Marek Černocký)
- da (Kenneth Nielsen)
- de (Christian Kirbach)
- eu (Iñaki Larrañaga Murgoitio)
- gd (GunChleoc)
- hu (Gabor Kelemen)
- lv (Rūdolfs Mazurs)
- sl (Matej Urbančič)

=============
gedit 3.11.92
=============

New Features and Fixes
======================
- Implement drag'n'drop for the documents panel
- Misc bug fixes.

New and updated translations
============================
- ca (Pau Iranzo)
- cs (Marek Černocký)
- de (Christian Kirbach)
- de (Wolfgang Stoeggl)
- es (Daniel Mustieles)
- fi (Jiri Grönroos)
- fr (naybnet)
- id (Andika Triwidada)
- ko (Changwoo Ryu)
- lv (Rūdolfs Mazurs)
- pa (A S Alam)
- pl (Paweł Żołnowski)
- pt (Tiago S.)
- ru (Yuri Myasoedov)
- sr@latin (Miroslav Nikolić)
- sr (Мирослав Николић)
- uk (Daniel Korostil)
- zh_CN (Wylmer Wang)
- zh_HK (Chao-Hsiung Liao)
- zh_TW (Chao-Hsiung Liao)

=============
gedit 3.11.91
=============

New Features and Fixes
======================
- Add keyboard shortcuts to change text case
- Readd bus message to add context menu items to the filebrowser
- Reopen last closed tab with ctrl+shift+T
- Rework fullscreen mode to use GtkRevealer
- Misc bug fixes.

New and updated translations
============================
- cs (Marek Černocký)
- es (Daniel Mustieles)
- gd (GunChleoc)
- gl (Fran Dieguez)
- he (Yosef Or Boczko)
- hu (Balázs Úr)
- it (Milo Casagrande)
- lt (Aurimas Černius)
- nb (Kjartan Maraas)
- pt_BR (Rafael Ferreira)
- zh_CN (Tong Hui)

=============
gedit 3.11.90
=============

New Features and Fixes
======================
- Even more work on the new UI (use popovers, CSD in dialogs and much more)
- Reimplement the documents sidepane using GtkListBox
- Adapt plugins to the latest changes
- Misc bug fixes.

New and updated translations
============================
- as (Nilamdyuti Goswami)
- cs (Marek Černocký)
- es (Daniel Mustieles)
- gl (Fran Dieguez)
- he (Yosef Or Boczko)
- id (Andika Triwidada)
- it (Milo Casagrande)
- pt_BR (Enrico Nicoletto)
- uk (Daniel Korostil)
- zh_HK (Chao-Hsiung Liao)
- zh_TW (Chao-Hsiung Liao)

============
gedit 3.11.3
============

New Features and Fixes
======================
- More work on the new UI
- Finalize the new API to extend the menu from plugins
- Adapt plugins to the latest changes
- Restore command line handling that was broken in laste release.
- Detect when network is not available and warn if using remote documents
- Add an fpaste tool to the external tools scripts
- Rewrite the build system with nonrecursive Makefiles
- Improvements in docs.
- Misc bug fixes.

New and updated translations
============================
- an (Jorge Pérez Pérez)
- as (Nilamdyuti Goswami)
- cs (Marek Černocký)
- el (Dimitris Spingos (Δημήτρης Σπίγγος))
- es (Daniel Mustieles)
- gd (GunChleoc)
- gl (Fran Dieguez)
- he (Yaron Shahrabani)
- kn (Shankar Prasad)
- lt (Aurimas Černius)
- nb (Kjartan Maraas)
- pt_BR (Rafael Ferreira)
- ru (Stas Solovey)
- th (Akom Chotiphantawanon)
- zh_CN (Tong Hui)
- zh_HK (Chao-Hsiung Liao)
- zh_TW (Chao-Hsiung Liao)

============
gedit 3.11.2
============

New Features and Fixes
======================
- Refresh the main user interface, radically changing the user interacts with the UI.
- Remove deprecated API.
- Integrate change case plugin inside GtkSourceView directly.
- Improvements in docs.
- Misc bug fixes.

New and updated translations
============================
- bg (Valentin Laskov)
- de (Simon Linden)
- el (Dimitris Spingos (Δημήτρης Σπίγγος))
- el (Efstathios Iosifidis)
- es (Daniel Mustieles)
- fr (Julien Hardelin)
- gl (Fran Dieguez)
- he (Yosef Or Boczko)
- id (Andika Triwidada)
- it (Milo Casagrande)
- lv (Rūdolfs Mazurs)
- nl (Hannie Dumoleyn)
- pt_BR (Rafael Ferreira)
- sk (Pavol Klačanský)
- sl (Matej Urbančič)
- ta (Shantha kumar)
- th (Akom Chotiphantawanon)
- zh_CN (Luo Lei)

============
gedit 3.11.1
============

New Features and Fixes
======================
- Implement XDS dnd support for GeditView and GeditWindow (Nelson Benítez León)
- Documentation Improvements
- Style fixes
- Implement Move to New Tab Group (Ignacio Casal Quinteiro)
- Expand tabs and center tab labels (William Jon McCann)
- Misc bugfixes and improvements

New and updated translations
============================
- as (Nilamdyuti Goswami)
- be (Sviatlana Liasovich)
- ca (Josep Sanchez Mesegue)
- ca@valencia (Josep Sanchez Mesegue)
- cs (Marek Černocký)
- da (Ask Hjorth Larsen)
- de (Christian Kirbach)
- es (Daniel Mustieles)
- eu (Iñaki Larrañaga Murgoitio)
- gl (Fran Dieguez)
- hu (Gabor Kelemen)
- id (Andika Triwidada)
- it (Milo Casagrande)
- ko (Changwoo Ryu)
- lt (Aurimas Černius)
- lv (Rūdolfs Mazurs)
- nb (Kjartan Maraas)
- pl (Piotr Drąg)
- pt (António Lima)
- pt_BR (Antonio Fernandes C. Neto)
- ru (Stas Solovey)
- ru (Yuri Myasoedov)
- sk (Pavol Klačanský)
- sl (Matej Urbančič)
- sr (Мирослав Николић)
- sr@latin (Miroslav Nikolić)
- th (Akom Chotiphantawanon)

============
gedit 3.10.0
============

New Features and Fixes
======================
- Misc bugfixes and improvements

New and updated translations
============================
- as (Nilamdyuti Goswami)
- ca (Josep Sànchez)
- et (Mattias Põldaru)
- eu (Iñaki Larrañaga Murgoitio)
- gd (GunChleoc)
- ja (Jiro Matsuzawa)
- pt_BR (Enrico Nicoletto)
- uk (Daniel Korostil)
- zh_CN (Wylmer Wang)

============
gedit 3.9.92
============

New Features and Fixes
======================
- Some final tweaks to the search rework (Sébastien Wilmet)
- Misc bugfixes and improvements

New and updated translations
============================
- be (Sviatlana Liasovich)
- ca (Gil Forcada)
- da (Ask Hjorth Larsen)
- de (Christian Kirbach)
- fi (Jiri Grönroos)
- fr (Alain Lojewski)
- gl (Fran Dieguez)
- hu (Gabor Kelemen)
- id (Andika Triwidada)
- ko (Changwoo Ryu)
- lv (Rūdolfs Mazurs)
- ru (Dmitriy S. Seregin)
- ru (Yuri Myasoedov)
- sr@latin (Miroslav Nikolić)
- sr (Мирослав Николић)
- th (Akom Chotiphantawanon)
- vi (Trần Ngọc Quân)
- zh_HK (Chao-Hsiung Liao)
- zh_TW (Chao-Hsiung Liao)

============
gedit 3.9.91
============

New Features and Fixes
======================
- Misc bugfixes and improvements

New and updated translations
============================
- de (Christian Kirbach)
- es (Daniel Mustieles)
- ga (Seán de Búrca)
- gl (Fran Dieguez)
- he (Yaron Shahrabani)
- hu (Balázs Úr)
- id (Andika Triwidada)
- it (Milo Casagrande)
- lt (Aurimas Černius)
- nb (Kjartan Maraas)
- pa (A S Alam)
- pl (Piotr Drąg)
- pt_BR (Enrico Nicoletto)
- sk (Pavol Klačanský)
- vi (Trần Ngọc Quân)

============
gedit 3.9.90
============

New Features and Fixes
======================
- Implement regual expression search (Sébastien Wilmet)
- Misc bugfixes and improvements

New and updated translations
============================
- cs (Marek Černocký)
- de (Christian Kirbach)
- de (Tobias Endrigkeit)
- he (Yaron Shahrabani)
- hu (Gabor Kelemen)
- it (Milo Casagrande)
- nb (Kjartan Maraas)
- pt_BR (Rafael Ferreira)
- th (Akom Chotiphantawanon)
- zh_HK (Chao-Hsiung Liao)
- zh_TW (Chao-Hsiung Liao)

===========
gedit 3.9.4
===========

New Features and Fixes
======================
- Use the GtkSourceView search and replace API (Sébastien Wilmet)
- Deprecate the gedit search and replace API (Sébastien Wilmet)
- Display the number of search occurrences and the current occurrence position
  in the search entry (Ignacio Casal Quinteiro, Sébastien Wilmet)
- Fix tab groups (Garrett Regier)
- Misc bugfixes and improvements (Shobha Tyagi, Ignacio Casal Quinteiro,
  Garrett Regier, William Jon McCann, Paolo Borelli, Matthias Clasen)

New and updated translations
============================
- cs (Marek Černocký)
- el (Dimitris Spingos (Δημήτρης Σπίγγος))
- es (Daniel Mustieles)
- gl (Fran Dieguez)
- id (Andika Triwidada)
- it (Milo Casagrande)
- lt (Aurimas Černius)
- nb (Kjartan Maraas)
- sk (Pavol Klačanský)

===========
gedit 3.9.3
===========

New Features and Fixes
======================
- Various bugfixes and improvements to the filebrowser and the
  external tools plugins (Garrett Regier)
- Fix clicking on replace dialog buttons (Sébastien Wilmet)
- Misc bugfixes

New and updated translations
============================
- cs (Marek Černocký)
- es (Daniel Mustieles)
- it (Milo Casagrande)
- nb (Kjartan Maraas)

===========
gedit 3.9.2
===========

New Features and Fixes
======================
- Many bugfixes and improvements to the filebrowser, quickopen and
  external tools plugins (Garrett Regier)
- Misc bugfixes

New and updated translations
============================
- cs (Marek Černocký)
- de (Benjamin Steinwender)
- el (Dimitris Spingos (Δημήτρης Σπίγγος))
- es (Daniel Mustieles)
- ja (Jiro Matsuzawa)
- mr (Sandeep Shedmake)
- th (Akom Chotiphantawanon)

===========
gedit 3.9.1
===========

New Features and Fixes
======================
- Add new Highlight Mode dialog (Ignacio Casal Quinteiro)
- Allow shell quotes in commands from Run Command tool (Adam Dingle)
- Use widget templates (Ignacio Casal Quinteiro, Paolo Borelli)
- external tools: look in browser root for files in tool output (Adam Dingle)
- external tools: extend link parser to handle grep output (Adam Dingle)
- external tools: provide environment variable with file browser root (Ignacio Casal Quinteiro)
- Improvements in filebrowser (Ignacio Casal Quinteiro, Sébastien Wilmet)
- Improvements in quickopen (Ignacio Casal Quinteiro)
- Improvements in docs
- Misc bugfixes

New and updated translations
============================
- as (Nilamdyuti Goswami)
- cs (Marek Černocký)
- da (Kenneth Nielsen)
- de (Christian Kirbach)
- el (Dimitris Spingos (Δημήτρης Σπίγγος))
- es (Daniel Mustieles)
- gl (Fran Dieguez)
- he (Yaron Shahrabani)
- hu (Gabor Kelemen)
- it (Milo Casagrande)
- ja (OKANO Takayoshi)
- ml (Anish A)
- nb (Kjartan Maraas)
- or (Manoj Kumar Giri)
- pl (Piotr Drąg)
- pt_BR (Enrico Nicoletto)
- ru (Stas Solovey)
- sk (Pavol Klačanský)
- sl (Matej Urbančič)
- ta (Shantha kumar)
- te (Krishnababu Krothapalli)

===========
gedit 3.8.1
===========

New Features and Fixes
======================
- Port zeitgeist plugin to use libzeitgeist2 (Seif Lotfy)
- Improvements in docs
- Misc bugfixes

New and updated translations
============================
- an (Jorge Pérez Pérez)
- el (Dimitris Spingos (Δημήτρης Σπίγγος))
- es (Daniel Mustieles)
- fi (Jiri Grönroos)
- hu (Gabor Kelemen)
- pl (Wojciech Szczęsny)
- pt_BR (Rafael Ferreira)
- tr (Muhammet Kara)
- uk (Daniel Korostil)

===========
gedit 3.8.0
===========

New Features and Fixes
======================
- Improvements in docs
- Misc bugfixes

New and updated translations
============================
- crh (Reşat SABIQ)
- es (Daniel Mustieles)
- fa (Arash Mousavi)
- fr (Alexandre Franke)
- hi (raj)
- hu (Gabor Kelemen)
- ja (Jiro Matsuzwa)
- kn (Shankar Prasad)
- mr (Sandeep Shedmake)
- or (Manoj Kumar Giri)
- ta (Dr.T.Vasudevan)
- te (Krishnababu Krothapalli)

===========
gedit 3.7.6
===========

New Features and Fixes
======================
- Improvements in docs
- Misc bugfixes

New and updated translations
============================
- ar (Khaled Hosny)
- be (Sviatlana Liasovich)
- ca (Gil Forcada)
- ca@valencia (Gil Forcada)
- da (Kenneth Nielsen)
- de (Mario Blättermann)
- el (Dimitris Spingos (Δημήτρης Σπίγγος))
- es (Daniel Mustieles)
- et (Mattias Põldaru)
- fi (Jiri Grönroos)
- fr (Bruno Brouard)
- hu (Balázs Úr)
- id (Andika Triwidada)
- ja (Jiro Matsuzwa)
- ko (Changwoo Ryu)
- lv (Rūdolfs Mazurs)
- pt (Duarte Loreto)
- ru (Yuri Myasoedov)
- sk (Pavol Klačanský)
- ta (Dr.T.Vasudevan)
- tg (Victor Ibragimov)
- th (Akom Chotiphantawanon)

===========
gedit 3.7.5
===========

New Features and Fixes
======================
- Updated mallard snippets (Jim Campbell)
- Improvements in docs
- Misc bugfixes

New and updated translations
============================
- cs (Marek Černocký)
- de (Mario Blättermann)
- el (Dimitris Spingos (Δημήτρης Σπίγγος))
- es (Daniel Mustieles)
- fr (Alain Lojewski)
- gu ("Last-Translator: \n")
- lt (Aurimas Černius)
- pa (A S Alam)
- ru (Stas Solovey)
- ru (Yuri Myasoedov)
- sl (Andrej Žnidaršič)
- zh_CN (Wylmer Wang)

===========
gedit 3.7.4
===========

New Features and Fixes
======================
- Use revealer to animate the search bar and the notification bars (Ignacio Casal Quinteiro)
- Several fixes in snippets (Sébastien Wilmet)
- Improvements in docs (Ekaterina Gerasimova)
- Misc bugfixes

New and updated translations
============================
- as (Nilamdyuti Goswami)
- bg (Alexander Shopov)
- es (Daniel Mustieles)
- eu (Iñaki Larrañaga Murgoitio)
- gl (Fran Dieguez)
- he (Yaron Shahrabani)
- it (Milo Casagrande)
- ja (Carrot031)
- lt (Aurimas Černius)
- ml (Anish A)
- nb (Kjartan Maraas)
- nl (Wouter Bolsterlee)
- pl (Piotr Drąg)
- pt_BR (Rafael Ferreira)
- ru (Yuri Myasoedov)
- sl (Matej Urbančič)
- sr@latin (Miroslav Nikolić)
- sr (Мирослав Николић)
- th (Akom Chotiphantawanon)
- ug (Gheyret Kenji)
- zh_HK (Chao-Hsiung Liao)
- zh_TW (Chao-Hsiung Liao)

===========
gedit 3.7.3
===========

New Features and Fixes
======================
- Application menu (Paolo Borelli, Ignacio Casal Quinteiro)
- Misc bugfixes

New and updated translations
============================
- as (Nilamdyuti Goswami)
- es (Daniel Mustieles)
- he (Yaron Shahrabani)
- hu (Balázs Úr)
- it (Milo Casagrande)
- nb (Kjartan Maraas)

===========
gedit 3.7.2
===========

New Features and Fixes
======================
- Port to GtkApplication (Paolo Borelli, Ryan Lortie, Ignacio Casal Quinteiro)
- Lots of improvements in docs (Jim Campbell)
- Misc bugfixes

New and updated translations
============================
- ar (Khaled Hosny)
- as (Nilamdyuti Goswami)
- be (Sviatlana Liasovich)
- ca (Gil Forcada)
- cs (Marek Černocký)
- de (Wolfgang Stoeggl)
- el (Dimitris Spingos (Δημήτρης Σπίγγος))
- es (Daniel Mustieles)
- et (Mattias Põldaru)
- fa (Arash Mousavi)
- gl (Fran Dieguez)
- gu ("Last-Translator: \n")
- he (Yaron Shahrabani)
- hu (Gabor Kelemen)
- id (Andika Triwidada)
- ja (Takayuki KUSANO)
- lt (Aurimas Černius)
- lv (Rūdolfs Mazurs)
- ml (Ani Peter)
- mr (Sandeep Shedmake)
- nb (Kjartan Maraas)
- or (Manoj Kumar Giri)
- pa (A S Alam)
- pl (Piotr Drąg)
- pt_BR (Rafael Ferreira)
- ru (Yuri Myasoedov)
- sk (Dušan Kazik)
- sl (Andrej Žnidaršič)
- sl (Matej Urbančič)
- sr@latin (Miroslav Nikolić)
- sr (Мирослав Николић)
- ta (Dr.T.Vasudevan)

===========
gedit 3.7.1
===========

New Features and Fixes
======================
- Port to python 3 (Ignacio Casal Quinteiro)
- Misc bugfixes

New and updated translations
============================
- as (Nilamdyuti Goswami)
- be (Sviatlana Liasovich)
- ca (Gil Forcada)
- cs (Marek Černocký)
- de (Wolfgang Stoeggl)
- el (Tom Tryfonidis)
- es (Daniel Mustieles)
- et (Mattias Põldaru)
- fa (Arash Mousavi)
- gl (Fran Dieguez)
- gu ("Last-Translator: \n")
- hu (Gabor Kelemen)
- id (Andika Triwidada)
- ja (Takayuki KUSANO)
- lt (Aurimas Černius)
- lv (Rūdolfs Mazurs)
- mr (Sandeep Shedmake)
- nb (Kjartan Maraas)
- pa (A S Alam)
- pl (Piotr Drąg)
- ru (Yuri Myasoedov)
- sk (Dušan Kazik)
- sl (Matej Urbančič)
- sr@latin (Miroslav Nikolić)
- sr (Мирослав Николић)

===========
gedit 3.6.1
===========

New Features and Fixes
======================
- File Browser side panel improvements (Ignacio Casal Quinteiro)
- Fix print preview in landscape mode (Adrian Johnson)
- Misc bugfixes

New and updated translations
============================
- ca (David Planella)
- ca@valencia (David Planella)
- el (Tom Tryfonidis)
- gl (Fran Dieguez)
- km (Khoem Sokhem)
- lv (Rūdolfs Mazurs)
- nb (Kjartan Maraas)
- sk (Ivan Masár)
- sl (Matej Urbančič)
- uk (Daniel Korostil)

===========
gedit 3.6.0
===========

New and updated translations
============================
- bg (Alexander Shopov)
- bn_IN (Sayak Sarkar)
- el (Tom Tryfonidis)
- et (Mattias Põldaru)
- hi (chandankumar)
- kn (Shankar Prasad)
- lv (Rūdolfs Mazurs)
- or (Manoj Kumar Giri)
- ru (Yuri Myasoedov)
- te (Krishnababu Krothapalli)
- zh_CN (YunQiang Su)

===========
gedit 3.5.3
===========

New Features and Fixes
======================
- Handle a command line specifying a big line number (Paolo Borelli, David Toton)
- Extensive snippet collection for docbook
- Misc bugfixes

New and updated translations
============================
- ar (Khaled Hosny)
- be (Sviatlana Liasovich)
- bg (Krasimir Chonov)
- cs (Marek Černocký)
- da (Kenneth Nielsen)
- de (Mario Blättermann)
- el (Tom Tryfonidis)
- en_GB (Bruce Cowan)
- es (Daniel Mustieles)
- fa (Arash Mousavi)
- fi (Jiri Grönroos)
- fi (sampo555)
- fr (Alain Lojewski)
- fr (Bruno Brouard)
- gu ("Last-Translator: \n")
- hu (Gabor Kelemen)
- id (Andika Triwidada)
- it (Milo Casagrande)
- ko (Changwoo Ryu)
- lt (Aurimas Černius)
- ml (Ani Peter)
- mr (Sandeep Shedmake)
- pa (A S Alam)
- pl (Piotr Drąg)
- pt_BR (Rafael Ferreira)
- sr@latin (Miroslav Nikolić)
- sr (Мирослав Николић)
- ta (Dr.T.Vasudevan)
- th (Theppitak Karoonboonyanan)
- zh_HK (Chao-Hsiung Liao)
- zh_TW (Chao-Hsiung Liao)

===========
gedit 3.5.2
===========

New Features and Fixes
======================
- Improvements in snippets plugin (Jesse van den Kieboom)
- Use autoreconf instead gnome-autogen (Javier Jardón)
- Misc bugfixes

New and updated translations
============================
- ar (Khaled Hosny)
- as (Nilamdyuti Goswami)
- de (Mario Blättermann)
- el (Tom Tryfonidis)
- es (Daniel Mustieles)
- gl (Fran Dieguez)
- gu ("Last-Translator: \n")
- he (Yaron Shahrabani)
- id (Andika Triwidada)
- it (Milo Casagrande)
- ja (OKANO Takayoshi)
- lt (Aurimas Černius)
- mr (Sandeep Shedmake)
- nb (Kjartan Maraas)
- nn (Moonchild)
- pl (Piotr Drąg)
- pt (Duarte Loreto)
- ru (Stas Solovey)
- ru (Yuri Myasoedov)
- sl (Matej Urbančič)
- sr@latin (Miroslav Nikolić)
- sr (Мирослав Николић)
- tr (Muhammet Kara)
- vi (Nguyễn Thái Ngọc Duy)
- zh_CN (Colin Zhao)
- zh_HK (Chao-Hsiung Liao)
- zh_TW (Chao-Hsiung Liao)

===========
gedit 3.5.1
===========

New Features and Fixes
======================
- Improved html snippets (Jaseem Abid)
- Misc bugfixes

New and updated translations
============================
- ar (Khaled Hosny)
- as (Nilamdyuti Goswami)
- de (Christian Kirbach)
- es (Daniel Mustieles)
- gl (Fran Dieguez)
- hi (Rajesh Ranjan)

===========
gedit 3.4.2
===========

New Features and Fixes
======================
- Misc bugfixes

New and updated translations
============================
- el (Tom Tryfonidis)
- id (Dirgita)
- lv (Rūdolfs Mazurs)
- zh_HK (Cheng-Chia Tseng)
- zh_TW (Cheng-Chia Tseng)

===========
gedit 3.4.1
===========

New Features and Fixes
======================
- Misc bugfixes

New and updated translations
============================
- bg (Krasimir Chonov)
- de (Mario Blättermann)
- es (Daniel Mustieles)
- fr (Alain Lojewski)
- hu (Gabor Kelemen)
- lv (Rūdolfs Mazurs)
- pt_BR (Adorilson Bezerra)
- sk (Ivan Masár)
- th (Akom Chotiphantawanon)
- zh_HK (Pin-hsien Li)
- zh_TW (Pin-hsien Li)

===========
gedit 3.4.0
===========

New and updated translations
============================
- ar (Abderrahim Kitouni)
- bg (Krasimir Chonov)
- ca (David Planella)
- ca@valencia (David Planella)
- crh (Reşat SABIQ)
- de (Viktor Nyberg)
- he (Yaron Shahrabani)
- ja (Takayuki KUSANO)
- lv (Anita Reitere)
- pt_BR (Antonio Fernandes C. Neto)
- sl (Andrej Žnidaršič)
- te (Bhuvan Krishna)
- uk (Korostil Daniel)
- zh_CN (Colin Zhao)

===========
gedit 3.3.8
===========

New Features and Fixes
======================
- Misc bugfixes

New and updated translations
============================
- ar (Ibrahim Saed)
- as (Nilamdyuti Goswami)
- be (Sviatlana Liasovich)
- bg (Alexander Shopov)
- bg (Krasimir Chonov)
- cs (Marek Černocký)
- da (Kenneth Nielsen)
- en_GB (Bruce Cowan)
- es (Daniel Mustieles)
- et (Mattias Põldaru)
- eu (Iñaki Larrañaga Murgoitio)
- fa (Arash Mousavi)
- fi (Tommi Vainikainen)
- fr (Bruno Brouard)
- gl (Fran Dieguez)
- gu ("Last-Translator: \n")
- hi (rajesh)
- hu (Gabor Kelemen)
- it (Milo Casagrande)
- ko (Changwoo Ryu)
- lt (Algimantas Margevičius)
- lv (Rūdolfs Mazurs)
- nb (Kjartan Maraas)
- nl (Wouter Bolsterlee)
- pa (A S Alam)
- pl (Piotr Drąg)
- pt (Duarte Loreto)
- ru (Yuri Myasoedov)
- sl (Matej Urbančič)
- sr@latin (Miroslav Nikolić)
- sr (Мирослав Николић)
- sv (Daniel Nylander)
- te (Sasi Bhushan Boddepalli)
- tr (Muhammet Kara)
- vi (Nguyễn Thái Ngọc Duy)
- zh_HK (Pin-hsien Li)
- zh_TW (Pin-hsien Li)

===========
gedit 3.3.7
===========

New Features and Fixes
======================
- Add support for fd.o desktop action spec (Nathan Williams)
- Misc bugfixes

===========
gedit 3.3.6
===========

New Features and Fixes
======================
- Fix the "time" plugin (Paolo Borelli)
- Misc bugfixes

New and updated translations
============================
- eu (Iñaki Larrañaga Murgoitio)
- hu (Gabor Kelemen)
- nl (Hannie Dumoleyn)
- pl (Piotr Drąg)

===========
gedit 3.3.5
===========

New Features and Fixes
======================
- Less clutter seach popup (Ignacio Casal Quinteiro)
- Use GResources (Ignacio Casal Quinteiro, Paolo Borelli)
- Misc bugfixes

New and updated translations
============================
- bg (Alexander Shopov)
- gl (Fran Dieguez)
- it (Milo Casagrande)
- ru (Yuri Myasoedov)
- ta (Dr.T.Vasudevan)
- zh_HK (Chao-Hsiung Liao)
- zh_TW (Chao-Hsiung Liao)

===========
gedit 3.3.4
===========

New Features and Fixes
======================
- Fix many memory leaks (Daniel Trebbien)
- Use Yelp Tools for docs generation (Javier Jardón)
- Docs updates (Jim Campbell)
- Misc bugfixes

New and updated translations
============================
- be (Sviatlana Liasovich)
- cs (Marek Černocký)
- da (Kenneth Nielsen)
- de (Mario Blättermann)
- es (Daniel Mustieles)
- et (Mattias Põldaru)
- gl (Fran Dieguez)
- he (Yaron Shahrabani)
- lt (Aurimas Černius)
- nb (Kjartan Maraas)
- sl (Andrej Žnidaršič)
- sl (Matej Urbančič)
- sr@latin (Miroslav Nikolić)
- sr (Мирослав Николић)
- sv (Daniel Nylander)
- zh_CN (Colin Zhao)

===========
gedit 3.3.3
===========

New Features and Fixes
======================
- Bring the OSX port up to date (Jesse van den Kieboom)
- Start fixing the Win32 port (Ignacio Casal Quinteiro)
- Some minor UI improvements, some css styling is now in the Adwaita theme
- Misc bugfixes

New and updated translations
============================
- bg (Alexander Shopov)
- es (Daniel Mustieles)
- gl (Fran Dieguez)
- he (Yaron Shahrabani)
- nb (Kjartan Maraas)
- pt_BR (Fábio Nogueira)
- sl (Matej Urbančič)
- sv (Daniel Nylander)
- zh_HK (Chao-Hsiung Liao)
- zh_TW (Chao-Hsiung Liao)

===========
gedit 3.3.2
===========

New Features and Fixes
======================
- More docs awesome (Jim Campbell)
- Port snippets and external tools managers to GtkGrid (Paolo Borelli)
- Fix crashes when exiting with new gtk+ (Paolo Borelli)
- Improvements in filebrowser plugin (Ignacio Casal Quinteiro)
- Symbolic icons for close buttons (Ignacio Casal Quinteiro)
- Misc bugfixes

New and updated translations
============================
- be (Sviatlana Liasovich)
- bg (Alexander Shopov)
- eo (Kristjan SCHMIDT)
- es (Daniel Mustieles)
- et (Mattias Põldaru)
- fr (Alain Lojewski)
- fr (Bruno Brouard)
- he (Yaron Shahrabani)
- ja (Jiro Matsuzawa)
- lt (Aurimas Černius)
- mk ("Last-Translator: Jovan N\n")
- nb (Kjartan Maraas)
- ru (Misha Shnurapet)
- ru (Yuri Myasoedov)
- sl (Andrej Žnidaršič)
- te (Praveen Illa)
- zh_CN (Colin Zhao)

===========
gedit 3.3.1
===========

New Features and Fixes
======================
- Sidebar style for the panel (Ignacio Casal Quinteiro)
- Separate ParseAndActivate from Activate for snippets (Jesse van den Kieboom)
- Remove outdated tool to generate a plugin scheleton (Paolo Borelli)
- Clear the tools accel entry on backspace (Paolo Borelli)
- Make restoring default print fonts actually work (Paolo Borelli)
- Use GtkGrid in the pythonconsole settings (Paolo Borelli)
- GtkTable replaced with GtkGrid in gedit-print-preferences (Laura Lazzati)
- GtkTable replaced with GtkGrid in docinfo-plugin (Laura Lazzati)
- Remove gedit_style_scheme_manager_list_schemes_sorted (Paolo Borelli)
- Remove gedit_language_manager_list_languages_sorted (Paolo Borelli)
- Remove explicit gthread initialization (Paolo Borelli)
- More docs awesome (Jim Campbell)
- quickopen: set placeholder text (Ignacio Casal Quinteiro)
- Misc bugfixes

New and updated translations
============================
- de (Mario Blättermann)
- el (Kostas Papadimas)
- es (Daniel Mustieles)
- fr (Bruno Brouard)
- gl (Fran Dieguez)
- he (Yaron Shahrabani)
- my (phonemyintkhaing)
- nb (Kjartan Maraas)
- ru (Yuri Myasoedov)
- sl (Matej Urbančič)
- th (Akom Chotiphantawanon)
- tr (Muhammet Kara)

===========
gedit 3.2.2
===========

New Features and Fixes
======================
- More help awesome (Jim Campbell)
- Misc bugfixes

New and updated translations
============================
- be (Sviatlana Liasovich)
- es (Jorge González)
- fr (Bruno Brouard)
- pl (Piotr Drąg)
- sk (Ivan Masár)
- vi (Nguyễn Thái Ngọc Duy)

===========
gedit 3.2.1
===========

New Features and Fixes
======================
- More help awesome (Jim Campbell)
- Use GtkGrid in the replace dialog. (Paolo Borelli)
- Misc bugfixes

New and updated translations
============================
- da (Kenneth Nielsen)
- eo (Kristjan SCHMIDT)
- lv (Rūdofls Mazurs)

===========
gedit 3.2.0
===========

New Features and Fixes
======================
- Misc bugfixes

New and updated translations
============================
- as (Nilamdyuti Goswami)
- ca@valencia (Gil Forcada)
- de (Christian Kirbach)
- es (Jorge González)
- eu (Julen Ruiz Aizpuru)
- ga (Seán de Búrca)
- gl (Fran Dieguez)
- gu ("Last-Translator: \n")
- hu (Gabor Kelemen)
- ja (OKANO Takayoshi)
- kn (Shankar Prasad)
- ko (Changwoo Ryu)
- nl (Hannie Dumoleyn)
- te (Krishnababu Krothapalli)

===========
gedit 3.1.6
===========

New Features and Fixes
======================
- Misc bugfixes
- More documentation (Jim Campbell)

New and updated translations
============================
- ca (Gil Forcada)
- da (Kenneth Nielsen)
- en_GB (Bruce Cowan)
- es (Daniel Mustieles)
- fr (Bruno Brouard)
- gl (Fran Dieguez)
- gu ("Last-Translator: \n")
- lt (Aurimas Černius)
- pl (Piotr Drąg)
- pt (Duarte Loreto)
- sr@latin (Miroslav Nikolić)
- sr (Мирослав Николић)
- ta (Dr.T.Vasudevan)

===========
gedit 3.1.5
===========

New Features and Fixes
======================
- Update snippet for mallard (Germán Póo-Caamaño)
- Update the quickopen dialog to look more GNOMEish 3 (Ignacio Casal Quinteiro)
- Use symbolic icons for the search popup. (Ignacio Casal Quinteiro)
- Point to the right help in the dialogs (Ignacio Casal Quinteiro, Jim Campbell)

New and updated translations
============================
- fa (Arash Mousavi)
- it (Milo Casagrande)
- tr (Muhammet Kara)
- zh_HK (Chao-Hsiung Liao)
- zh_TW (Chao-Hsiung Liao)

===========
gedit 3.1.4
===========

New Features and Fixes
======================
- Use css for the search popup (Ignacio Casal Quinteiro)
- Use pygobject 3
- More documentation (Jim Campbell)
- gboxed templates for snippets plugin (Ignacio Casal Quinteiro)
- Misc bugfixes

New and updated translations
============================
- bg (Alexander Shopov)
- de (Mario Blättermann)
- es (Jorge González)
- id (Andika Triwidada)
- it (Milo Casagrande)
- nl (Hannie Dumoleyn)
- pa (A S Alam)
- th (Akom Chotiphantawanon)
- tr (Muhammet Kara)

===========
gedit 3.1.3
===========

New Features and Fixes
======================
- Misc bugfixes

New and updated translations
============================
- cs (Marek Černocký)
- de (Mario Blättermann)
- el (Simos Xenitellis)
- es (Daniel Mustieles)
- eu (Iñaki Larrañaga Murgoitio)
- he (Yaron Shahrabani)
- hu (Gabor Kelemen)
- lv (Rūdofls Mazurs)
- nb (Kjartan Maraas)
- pt_BR (Thiago Branco Meurer)
- sl (Matej Urbančič)
- zh_CN (Colin Zhao)

===========
gedit 3.1.2
===========

New Features and Fixes
======================
- Add markdown snippets (Jean-Philippe Fleury)
- Fix slowdown on gedit (Paolo Borelli)
- Update to use libpeas 1.1 API (Garrett Regier)
- New GNOME 3 like style for snippets and external tools (Ignacio Casal Quinteiro)
- Misc bugfixes

New and updated translations
============================
- de (Christian Kirbach)
- de (Paul Seyfert)
- es (Jorge González)
- gl (Fran Diéguez)
- he (Yaron Shahrabani)
- nb (Kjartan Maraas)
- sl (Matej Urbančič)

===========
gedit 3.1.1
===========

New Features and Fixes
======================
- Port to GtkOverlay (Ignacio Casal Quinteiro)
- Fix single instance logic (Paolo Borelli)
- Misc bugfixes

New and updated translations
============================
- ca@valencia (Gil Forcada)
- el (Kostas Papadimas)
- fr (Bruno Brouard)

===========
gedit 3.0.3
===========

New Features and Fixes
======================
- Misc bugfixes

New and updated translations
============================
- cs (Marek Černocký)
- es (Daniel Mustieles)
- gl (Fran Diéguez)
- ja (Jiro Matsuzawa)
- sk (Ivan Masár)
- ug (Zeper)

===========
gedit 3.0.2
===========

New Features and Fixes
======================
- Misc bugfixes

New and updated translations
============================
- de (Mario Blättermann)
- es (Daniel Mustieles)
- hu (Gabor Kelemen)
- sk (Ivan Masár)
- vi (Clytie Siddall)

=============
gedit 3.0.1
=============

New Features and Fixes
======================
- Various fixes in search popup
- Style improvements
- Misc bugfixes

New and updated translations
============================
- eu (Inaki Larranaga Murgoitio)

=============
gedit 3.0.0
=============

New Features and Fixes
======================
- Misc bugfixes

New and updated translations
============================
- af (F Wolff)
- ar (Khaled Hosny)
- as (Nilamdyuti Goswami)
- ast (Xandru Armesto)
- be (Ihar Hrachyshka)
- bg (Krasimir Chonov)
- bn_IN ("Last-Translator: \n")
- ca (Gil Forcada)
- ca@valencia (Gil Forcada)
- cs (Marek Černocký)
- da (Ask Hjorth Larsen)
- de (Christian Kirbach)
- de (Mario Blättermann)
- el (Michael Kotsarinis)
- el (Simos Xenitellis)
- en_GB (Bruce Cowan)
- en@shaw (Thomas Thurman)
- eo (Kristjan SCHMIDT)
- es (Daniel Mustieles)
- es (Jorge González)
- et (Mattias Põldaru)
- eu (Iñaki Larrañaga Murgoitio)
- fr (Gérard Baylard)
- ga (Seán de Búrca)
- gl (Fran Diéguez)
- gu (Sweta Kothari)
- he (Yaron Shahrabani)
- hi (Rajesh Ranjan)
- hu (Gabor Kelemen)
- id (Dirgita)
- it (Milo Casagrande)
- ja (Hajime Taira)
- ko (Changwoo Ryu)
- lt (Aurimas Černius)
- lv (Rudolfs)
- ml ("Last-Translator: \n")
- mr (Sandeep Shedmake)
- nb (Kjartan Maraas)
- nl (Wouter Bolsterlee)
- or (Manoj Kumar Giri)
- pa (A S Alam)
- pl (Piotr Drąg)
- pt_BR (Gabriel F. Vilar)
- pt (Duarte Loreto)
- ro (Lucian Adrian Grijincu)
- ru (Yuri Myaseodov)
- sl (Andrej Žnidaršič)
- sl (Matej Urbančič)
- sr@latin (Miroslav Nikolić)
- sr (Мирослав Николић)
- sv (Daniel Nylander)
- ta ("Last-Translator: \n")
- te (Krishnababu Krothapalli)
- th (Akom Chotiphantawanon)
- tr ("Last-Translator: \n")
- ug (Zeper)
- uk (Korostil Daniel)
- vi (Clytie Siddall)
- zh_CN (YunQiang Su)
- zh_HK (Chao-Hsiung Liao)
- zh_TW (Chao-Hsiung Liao)

